> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-dropmaterializedview.md).

# DROP MATERIALIZED VIEW

### DROP MATERIALIZED VIEW

DROP MATERIALIZED VIEW — remove a materialized view

### Synopsis

```

DROP MATERIALIZED VIEW [ IF EXISTS ] name [, ...] [ CASCADE | RESTRICT ]
```

### Description

`DROP MATERIALIZED VIEW` drops an existing materialized view. To execute this command you must be the owner of the materialized view.

### Parameters

`IF EXISTS` : Do not throw an error if the materialized view does not exist. A notice is issued in this case.

*`name`* : The name (optionally schema-qualified) of the materialized view to remove.

`CASCADE` : Automatically drop objects that depend on the materialized view (such as other materialized views, or regular views), and in turn all objects that depend on those objects (see [Section 5.15](/the-sql-language/ddl/ddl-depend.md)).

`RESTRICT` : Refuse to drop the materialized view if any objects depend on it. This is the default.

### Examples

This command will remove the materialized view called `order_summary`:

```

DROP MATERIALIZED VIEW order_summary;
```

### Compatibility

`DROP MATERIALIZED VIEW` is a PostgreSQL extension.

### See Also

[CREATE MATERIALIZED VIEW](/reference/sql-commands/sql-creatematerializedview.md), [ALTER MATERIALIZED VIEW](/reference/sql-commands/sql-altermaterializedview.md), [REFRESH MATERIALIZED VIEW](/reference/sql-commands/sql-refreshmaterializedview.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-dropmaterializedview.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-dropmaterializedview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
